Bug #3322

Sunstone missing dependencies on Debian Wheezy

Added by Andrey Perminov over 5 years ago. Updated over 5 years ago.

Status:ClosedStart date:11/10/2014
Priority:NormalDue date:
Assignee:Jaime Melis% Done:

0%

Category:Packaging
Target version:Release 4.10.1
Resolution:fixed Pull request:
Affected Versions:OpenNebula 4.10

Description

After upgrading from 4.8 to 4.10 using official repository, sunstone fails to start with the following:
/usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- builder (LoadError)
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/one/ruby/vendors/rbvmomi/lib/rbvmomi/trivial_soap.rb:3:in `<top (required)>'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/one/ruby/vendors/rbvmomi/lib/rbvmomi/connection.rb:4:in `<top (required)>'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/one/ruby/vendors/rbvmomi/lib/rbvmomi.rb:11:in `<top (required)>'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /var/lib/one/remotes/vmm/vcenter/vcenter_driver.rb:39:in `<top (required)>'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/one/sunstone/routes/vcenter.rb:26:in `<top (required)>'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/one/sunstone/sunstone-server.rb:323:in `block in <main>'
from /usr/lib/one/sunstone/sunstone-server.rb:322:in `each'
from /usr/lib/one/sunstone/sunstone-server.rb:322:in `<main>'

I've installed ruby-builder package manually and now it works as it should.


Related issues

Related to Bug #3293: Include vcenter_driver.rb in RUBY_LIB_LOCATION Closed 11/05/2014

History

#1 Updated by Ruben S. Montero over 5 years ago

  • Related to Bug #3293: Include vcenter_driver.rb in RUBY_LIB_LOCATION added

#2 Updated by Ruben S. Montero over 5 years ago

  • Category set to Packaging
  • Status changed from Pending to New
  • Target version set to Release 4.12

Thanks for reporting

#3 Updated by Ruben S. Montero over 5 years ago

  • Target version changed from Release 4.12 to Release 4.10.1

#4 Updated by Ruben S. Montero over 5 years ago

  • Assignee set to Jaime Melis

#5 Updated by Jaime Melis over 5 years ago

  • Status changed from New to Closed
  • Resolution set to fixed

Also available in: Atom PDF